function [auc] = count_auc(filename)
predictfile = [filename '.predict'];
correctfile = ['../data/' filename '.correct'];

plabels = load(predictfile);
[labels dummy] = libsvmread(correctfile);
l = length(labels);
posbound = sum(labels==1);

[dummy order] = sort(plabels);

tp = 0;
fp = 0;
roc = 0;
for i = l:-1:1
	if labels(order(i)) == 1
		tp = tp+1;
	elseif labels(order(i)) == -1
		roc = roc + tp;
		fp = fp+1;
	end
end

auc = roc / (tp * fp);
