function [indexes] = randsimple_query(filename,n,siz)

qsample = load('queried.sample');
fvs = load([filename '.predict']);

n = min(n, siz/2);
sample = [];
for i=1:n
	idxes = unique(ceil(rand(59)*siz/2));
	[dummy idxesidx] = min(fvs(idxes));
	sample = union(sample,idxes(idxesidx));
end
indexes = setdiff(sample,qsample);

fp = fopen([filename '.sample'],'w');
if length(indexes) > 0
	fprintf(fp,'%d\n',indexes);
end
fclose(fp);
